Modbot Docs
APIAPI referenceAutoMod settings

List rule versions

GET/api/settings/automod/rules/{kind}/{id}/versions

Every version of a rule's text, newest first.

Needs the ManageSettings permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Path Parameters

kind*string
id*string
Formatuuid

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/settings/automod/rules/string/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions"
{  "ruleKind": "string",  "ruleId": "70af3071-65d9-4ec3-b3cb-5283e8d55dac",  "versions": [    {      "version": 0,      "changedAt": "2019-08-24T14:15:22Z",      "changedBy": null,      "name": "string",      "text": "string"    }  ]}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.